package com.bytedance.android.livesdk.feed.viewmodel;

import X.OJw;
import X.Pm5;
import com.bytedance.android.livesdk.livesetting.feed.BackRefreshTimeoutSetting;
import com.bytedance.android.livesdk.util.rxutils.RxViewModel;
import com.bytedance.covode.number.Covode;

public class TimeOutRefreshViewModel extends RxViewModel {
    public boolean LIZ;
    public OJw<Object> LIZIZ = new OJw<>();
    public long LIZJ = Long.MAX_VALUE;

    static {
        Covode.recordClassIndex(16221);
    }

    public final void LIZ() {
        if (!this.LIZ && this.LIZJ != Long.MAX_VALUE && System.currentTimeMillis() - this.LIZJ > ((long) BackRefreshTimeoutSetting.INSTANCE.getValue())) {
            this.LIZIZ.onNext(Pm5.LIZJ);
        }
        this.LIZJ = Long.MAX_VALUE;
        this.LIZ = false;
    }
}
